Create Consistency Group form has an exception

Bug #1681073 reported by wei.ying on 2017-04-08
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Dashboard (Horizon)
High
wei.ying
Ubuntu Cloud Archive
High
Seyeong Kim
Mitaka
High
Unassigned
Newton
High
Unassigned
Ocata
High
Unassigned
horizon (Ubuntu)
High
Seyeong Kim
Declined for Artful by Corey Bryant
Declined for Zesty by Corey Bryant
Xenial
High
Unassigned

Bug Description

[Impact]

Affected
- UCA Mitaka, Ocata
- Xenial, Zesty ( Artful is incidentlly added, please ignore it)

After enabling consistency groups by changing api-paste.ini,

When trying to create consistency group, there are error like below.

Exception info:
Internal Server Error: /project/cgroups/create/
Traceback (most recent call last):
  File "/usr/local/lib/python2.7/dist-packages/django/core/handlers/base.py", line 132, in get_response
    response = wrapped_callback(request, *callback_args, **callback_kwargs)
  File "/opt/stack/horizon/horizon/decorators.py", line 36, in dec
    return view_func(request, *args, **kwargs)
  File "/opt/stack/horizon/horizon/decorators.py", line 52, in dec
    return view_func(request, *args, **kwargs)
  File "/opt/stack/horizon/horizon/decorators.py", line 36, in dec
    return view_func(request, *args, **kwargs)
  File "/opt/stack/horizon/horizon/decorators.py", line 84, in dec
    return view_func(request, *args, **kwargs)
  File "/usr/local/lib/python2.7/dist-packages/django/views/generic/base.py", line 71, in view
    return self.dispatch(request, *args, **kwargs)
  File "/usr/local/lib/python2.7/dist-packages/django/views/generic/base.py", line 89, in dispatch
    return handler(request, *args, **kwargs)
  File "/opt/stack/horizon/horizon/workflows/views.py", line 199, in post
    exceptions.handle(request)
  File "/opt/stack/horizon/horizon/exceptions.py", line 352, in handle
    six.reraise(exc_type, exc_value, exc_traceback)
  File "/opt/stack/horizon/horizon/workflows/views.py", line 194, in post
    success = workflow.finalize()
  File "/opt/stack/horizon/horizon/workflows/base.py", line 824, in finalize
    if not self.handle(self.request, self.context):
  File "/opt/stack/horizon/openstack_dashboard/dashboards/project/cgroups/workflows.py", line 323, in handle
    vol_type.extra_specs['volume_backend_name']
KeyError: 'volume_backend_name'

[Test case]

juju deploy bundle

(this is same as original description)
1. Go to admin/volume types panel
2. Create volume type with any name
3. Go to project/Consistency Groups panel
4. Create Consistency Group and add the volume type we just created
5. Submit Create Consistency Group form

[Regression Potential]
This changes horizon UI, and need to restart apache2 server. There could be very short outage for openstack dashboard. but this seems not critical to openstack service. and if there is code error, django server can't be started and outage time could be longer than above.

[Others]

upstream commit
https://git.openstack.org/cgit/openstack/horizon/commit/?id=89bb9268204a2316fc526d660f38d5517980f209

[Original Description]

Env: devstack master branch

Steps to reproduce:
1. Go to admin/volume types panel
2. Create volume type with any name
3. Go to project/Consistency Groups panel
4. Create Consistency Group and add the volume type we just created
5. Submit Create Consistency Group form

it will throws an exception.

Exception info:
Internal Server Error: /project/cgroups/create/
Traceback (most recent call last):
  File "/usr/local/lib/python2.7/dist-packages/django/core/handlers/base.py", line 132, in get_response
    response = wrapped_callback(request, *callback_args, **callback_kwargs)
  File "/opt/stack/horizon/horizon/decorators.py", line 36, in dec
    return view_func(request, *args, **kwargs)
  File "/opt/stack/horizon/horizon/decorators.py", line 52, in dec
    return view_func(request, *args, **kwargs)
  File "/opt/stack/horizon/horizon/decorators.py", line 36, in dec
    return view_func(request, *args, **kwargs)
  File "/opt/stack/horizon/horizon/decorators.py", line 84, in dec
    return view_func(request, *args, **kwargs)
  File "/usr/local/lib/python2.7/dist-packages/django/views/generic/base.py", line 71, in view
    return self.dispatch(request, *args, **kwargs)
  File "/usr/local/lib/python2.7/dist-packages/django/views/generic/base.py", line 89, in dispatch
    return handler(request, *args, **kwargs)
  File "/opt/stack/horizon/horizon/workflows/views.py", line 199, in post
    exceptions.handle(request)
  File "/opt/stack/horizon/horizon/exceptions.py", line 352, in handle
    six.reraise(exc_type, exc_value, exc_traceback)
  File "/opt/stack/horizon/horizon/workflows/views.py", line 194, in post
    success = workflow.finalize()
  File "/opt/stack/horizon/horizon/workflows/base.py", line 824, in finalize
    if not self.handle(self.request, self.context):
  File "/opt/stack/horizon/openstack_dashboard/dashboards/project/cgroups/workflows.py", line 323, in handle
    vol_type.extra_specs['volume_backend_name']
KeyError: 'volume_backend_name'

wei.ying (wei.yy) on 2017-04-08
Changed in horizon:
assignee: nobody → wei.ying (wei.yy)

Fix proposed to branch: master
Review: https://review.openstack.org/454990

Changed in horizon:
status: New → In Progress
Akihiro Motoki (amotoki) on 2017-04-10
Changed in horizon:
importance: Undecided → High
milestone: none → pike-1

Reviewed: https://review.openstack.org/454990
Committed: https://git.openstack.org/cgit/openstack/horizon/commit/?id=89bb9268204a2316fc526d660f38d5517980f209
Submitter: Jenkins
Branch: master

commit 89bb9268204a2316fc526d660f38d5517980f209
Author: wei.ying <email address hidden>
Date: Sat Apr 8 21:41:24 2017 +0800

    Fix create consistency group form exception

    Volume type extra specs may not contain ‘volume_backend_name’,
    it should be judged before getting it.

    Change-Id: I5dbc0636ba1c949df569acbbfc8a0879f7a76992
    Closes-Bug: #1681073

Changed in horizon:
status: In Progress → Fix Released

This issue was fixed in the openstack/horizon 12.0.0.0b1 development milestone.

Seyeong Kim (xtrusia) on 2017-12-07
Changed in openstack-dashboard (Ubuntu):
assignee: nobody → Seyeong Kim (xtrusia)
no longer affects: openstack-dashboard (Ubuntu)
Changed in horizon (Ubuntu):
assignee: nobody → Seyeong Kim (xtrusia)
Seyeong Kim (xtrusia) on 2017-12-07
description: updated
Seyeong Kim (xtrusia) wrote :
description: updated
Seyeong Kim (xtrusia) wrote :
Seyeong Kim (xtrusia) wrote :
Seyeong Kim (xtrusia) wrote :
description: updated
tags: added: sts-sru
Changed in cloud-archive:
assignee: nobody → Seyeong Kim (xtrusia)
tags: added: sts-sru-needed
removed: sts-sru
Corey Bryant (corey.bryant) wrote :

Declined for Artful as this is already fixed in Artful/Pike packaging.

Corey Bryant (corey.bryant) wrote :

Declined for Zesty as it is just about EOL. Let's just fix this in the corresponding Ocata cloud archive.

Changed in horizon (Ubuntu Xenial):
status: New → Triaged
importance: Undecided → High
Changed in cloud-archive:
status: New → Fix Released

Hello wei.ying, or anyone else affected,

Accepted horizon into ocata-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:ocata-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-ocata-needed to verification-ocata-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-ocata-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-ocata-needed
Seyeong Kim (xtrusia) wrote :

ii openstack-dashboard 3:11.0.4-0ubuntu1~cloud1 all Django web interface for OpenStack

I verified this is working.
in no proper volume-type situation
before patching, it shows me ambiguous error msg
after patching, it shows me correct error msg

Thanks

tags: added: verification-ocata-done
removed: verification-ocata-needed
James Page (james-page) on 2017-12-18
Changed in horizon (Ubuntu):
status: New → Fix Released
importance: Undecided → High
Changed in cloud-archive:
importance: Undecided → High
Corey Bryant (corey.bryant) wrote :

Hello wei.ying, or anyone else affected,

Accepted horizon into newton-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:newton-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-newton-needed to verification-newton-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-newton-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-newton-needed
Seyeong Kim (xtrusia) wrote :

ii openstack-dashboard 3:10.0.5-0ubuntu1~cloud2 all Django web interface for OpenStack

had same test as ocata

thanks

tags: added: verification-newton-done
removed: verification-newton-needed
Chris Halse Rogers (raof) wrote :

Hello wei.ying, or anyone else affected,

Accepted horizon into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/horizon/2:9.1.2-0ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-xenial
Seyeong Kim (xtrusia) wrote :

ii openstack-dashboard 2:9.1.2-0ubuntu3 all Django web interface for OpenStack

had same test as ocata, newton

Thanks.

tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 2:9.1.2-0ubuntu3

---------------
horizon (2:9.1.2-0ubuntu3) xenial; urgency=medium

  [ Corey Bryant ]
  * The horizon 2:9.1.2-0ubuntu1 point release was released with quilt
    patches pushed and now debian/patches won't apply. Revert the commits
    to upstream code of the following patches:
    - d/p/embedded-xstatic.patch
    - d/p/fix-dashboard-django-wsgi.patch
    - d/p/fix-dashboard-manage.patch
    - d/p/fix-horizon-test-settings.patch
    - d/p/ubuntu_settings.patch
    - d/p/add-juju-environment-download.patch (all but
      juju.environments.template were pushed)

  [ Seyeong Kim ]
  * Fix create consistency group form exception (LP: #1681073)
    - d/p/fix_create_consistency_group_form_exception.patch

 -- Corey Bryant <email address hidden> Thu, 14 Dec 2017 10:48:25 -0500

Changed in horizon (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for horizon has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello wei.ying, or anyone else affected,

Accepted horizon into mitaka-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:mitaka-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-mitaka-needed to verification-mitaka-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-mitaka-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-mitaka-needed

The verification of the Stable Release Update for horizon has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package horizon - 3:11.0.4-0ubuntu1~cloud1
---------------

 horizon (3:11.0.4-0ubuntu1~cloud1) xenial-ocata; urgency=medium
 .
   * Fix create consistency group form exception (LP: #1681073)
     - d/p/fix_create_consistency_group_form_exception.patch

Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for horizon has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package horizon - 3:10.0.5-0ubuntu1~cloud2
---------------

 horizon (3:10.0.5-0ubuntu1~cloud2) xenial-newton; urgency=medium
 .
   * Fix create consistency group form exception (LP: #1681073)
     - d/p/fix_create_consistency_group_form_exception.patch

Seyeong Kim (xtrusia) wrote :

ii openstack-dashboard 2:9.1.2-0ubuntu3~cloud0 all Django web interface for OpenStack

had same test as xenial, ocata, newton

Thanks.

tags: added: verification-mitaka-done
removed: verification-mitaka-needed
Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for horizon has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package horizon - 2:9.1.2-0ubuntu3~cloud0
---------------

 horizon (2:9.1.2-0ubuntu3~cloud0) trusty-mitaka; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 horizon (2:9.1.2-0ubuntu3) xenial; urgency=medium
 .
   [ Corey Bryant ]
   * The horizon 2:9.1.2-0ubuntu1 point release was released with quilt
     patches pushed and now debian/patches won't apply. Revert the commits
     to upstream code of the following patches:
     - d/p/embedded-xstatic.patch
     - d/p/fix-dashboard-django-wsgi.patch
     - d/p/fix-dashboard-manage.patch
     - d/p/fix-horizon-test-settings.patch
     - d/p/ubuntu_settings.patch
     - d/p/add-juju-environment-download.patch (all but
       juju.environments.template were pushed)
 .
   [ Seyeong Kim ]
   * Fix create consistency group form exception (LP: #1681073)
     - d/p/fix_create_consistency_group_form_exception.patch

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers